| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | List of all members
Digikam::WSSettingsWidget Class Referenceabstract
Inheritance diagram for Digikam::WSSettingsWidget:

## Public Member Functions
| WSSettingsWidget (QWidget *const parent, DInfoInterface *const iface, const QString &toolName)
void | addWidgetToSettingsBox (QWidget *const widget)
QGroupBox * | getAccountBox () const
QGridLayout * | getAccountBoxLayout () const
QGroupBox * | getAlbumBox () const
QGridLayout * | getAlbumBoxLayout () const
QComboBox * | getAlbumsCoB () const
QString | getAlbumTitle () const
QPushButton * | getChangeUserBtn () const
QString | getDestinationPath () const
QComboBox * | getDimensionCoB () const
QSpinBox * | getDimensionSpB () const
QLabel * | getHeaderLbl () const
QSpinBox * | getImgQualitySpB () const
QPushButton * | getNewAlbmBtn () const
QGroupBox * | getOptionsBox () const
QGridLayout * | getOptionsBoxLayout () const
QCheckBox * | getOriginalCheckBox () const
QCheckBox * | getPhotoIdCheckBox () const
QPushButton * | getReloadBtn () const
QCheckBox * | getResizeCheckBox () const
QWidget * | getSettingsBox () const
QVBoxLayout * | getSettingsBoxLayout () const
QGroupBox * | getSizeBox () const
QVBoxLayout * | getSizeBoxLayout () const
QGroupBox * | getUploadBox () const
QVBoxLayout * | getUploadBoxLayout () const
QLabel * | getUserNameLabel () const
DItemsList * | imagesList () const
DProgressWdg * | progressBar () const
void | replaceImageList (QWidget *const widget)
virtual void | updateLabels (const QString &name=QString(), const QString &url=QString())=0

## Protected Slots
void | slotResizeChecked ()